org.vishia.gral.ifc

## Class GralCanvasStorage.PaintOrder

- java.lang.Object
- - org.vishia.gral.ifc.GralCanvasStorage.PaintOrder

- Direct Known Subclasses:
    GralCanvasStorage.PaintOrderImage, GralCanvasStorage.PolyLine, GralCanvasStorage.PolyLineFloatArray
  Enclosing class:
    GralCanvasStorage

      public static class GralCanvasStorage.PaintOrder
      extends java.lang.Object

  Data class to store an order.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GralColor` | `color`
    `private java.lang.Object` | `implData` The implementation data are graphic-platform-specific.
    `int` | `paintWhat` One of the static int of this class.
    `GralPos` | `pos`
    `int` | `x1` Coordinates.
    `int` | `x2` Coordinates.
    `int` | `y1` Coordinates.
    `int` | `y2` Coordinates.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaintOrder(int paintWhat, GralPos pos, GralColor color)`
    `PaintOrder(int paintWhat, int x1, int y1, int x2, int y2, GralColor color)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getImplData()`
    `void` | `setImplData(java.lang.Object implData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paintWhat

          public final int paintWhat

      One of the static int of this class. Determines what to paint. See `GralCanvasStorage.paintLine`, `GralCanvasStorage.paintImage`,

    - #### x1

          public final int x1

      Coordinates.

    - #### y1

          public final int y1

      Coordinates.

    - #### x2

          public final int x2

      Coordinates.

    - #### y2

          public final int y2

      Coordinates.

    - #### pos

          public final GralPos pos

    - #### color

          public final GralColor color

    - #### implData

          private java.lang.Object implData

      The implementation data are graphic-platform-specific. It may be prepared data for a defined size appearance to support fast redrawing.

  - ### Constructor Detail

    - #### PaintOrder

          PaintOrder(int paintWhat,
                     int x1,
                     int y1,
                     int x2,
                     int y2,
                     GralColor color)

    - #### PaintOrder

          PaintOrder(int paintWhat,
                     GralPos pos,
                     GralColor color)

  - ### Method Detail

    - #### getImplData

          public java.lang.Object getImplData()

    - #### setImplData

          public void setImplData(java.lang.Object implData)